> ## Documentation Index
> Fetch the complete documentation index at: https://docs.appz.dev/llms.txt
> Use this file to discover all available pages before exploring further.

# List domains

> Retrieves a list of domains registered for the authenticated user or team. By default it returns the last 20 domains if no limit is provided.



## OpenAPI

````yaml GET /domains
openapi: 3.1.0
info:
  version: 1.0.0
  title: Appz Api
servers:
  - url: https://api.youappz.dev
    description: Production API
security:
  - Bearer: []
paths:
  /domains:
    get:
      tags:
        - domains
      description: >-
        Retrieves a list of domains registered for the authenticated user or
        team. By default it returns the last 20 domains if no limit is provided.
      parameters:
        - schema:
            type: string
            description: >-
              The Team identifier or Team slug to perform the request on behalf
              of.
            query:
              name: teamId
              in: query
            example: team_xbtegd63gdg5636gdg
          required: true
          name: teamId
          in: query
        - schema:
            type: integer
            description: Maximum number of domains to list from a request
            query:
              name: limit
              in: query
            example: 20
          required: false
          name: limit
          in: query
        - schema:
            type: integer
            description: Get domains created after this JavaScript timestamp
            query:
              name: since
              in: query
            example: '1540095775941'
          required: false
          name: since
          in: query
        - schema:
            type: integer
            description: Get domains created before this JavaScript timestamp
            query:
              name: until
              in: query
            example: '1540095775941'
          required: false
          name: until
          in: query
      responses:
        '200':
          description: Successful response retrieving a list of domains.
          content:
            application/json:
              schema:
                type: object
                properties:
                  domains:
                    type: array
                    items:
                      $ref: '#/components/schemas/Domain'
                  pagination:
                    type: object
                    properties:
                      count:
                        type: number
                        description: Amount of items in the current page.
                        example: 20
                      next:
                        type:
                          - number
                          - 'null'
                        description: Timestamp that must be used to request the next page.
                        example: 1540095775951
                      prev:
                        type:
                          - number
                          - 'null'
                        description: >-
                          Timestamp that must be used to request the previous
                          page.
                        example: 1540095775951
                    required:
                      - count
                      - next
                      - prev
                    description: >-
                      This object contains information related to the pagination
                      of the current request, including the necessary parameters
                      to get the next or previous page of data.
                    title: Pagination
                required:
                  - domains
                  - pagination
        '400':
          description: Returns a validation error
          content:
            application/json:
              schema:
                type: object
                properties:
                  code:
                    type: number
                    example: 400
                  message:
                    type: string
                    example: >-
                      One of the provided values in the request body/query is
                      invalid
                required:
                  - code
                  - message
        '401':
          description: ''
        '403':
          description: You do not have permission to access this resource.
components:
  schemas:
    Domain:
      type: object
      properties:
        id:
          type: string
        teamId:
          type: string
        name:
          type: string
        serviceType:
          type:
            - string
            - 'null'
        createdBy:
          type:
            - number
            - 'null'
        createdAt:
          type: number
        updatedAt:
          type: number
        expiresAt:
          type:
            - number
            - 'null'
      required:
        - id
        - teamId
        - name
        - serviceType
        - createdBy
        - createdAt
        - updatedAt
        - expiresAt
  securitySchemes:
    Bearer:
      type: http
      scheme: bearer

````